# RunTask

**RunTask** can be used to execute a specific *Function* at a specific point in your application's process flow.

This function will execute in parallel to the calling function.

***

## Properties

### Function

Select the function to execute.

***

## Definition

**RunTask** returns data in the following variables:

* **RunTask**
  * **Id** *(Int32)*
  * **IsCompleted** *(Boolean)*
  * **IsCompletedSuccessfully** *(Boolean)*
  * **IsFaulted** *(Boolean)*
  * **Error** *(String)*

If the [Function](#function) that is being called by **RunTask** has a *Result* configured, then the RunTask definition will also include the Result's properties.

For more on how to set the result of a function, go [here](/main-concepts/functions.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/async/content/runtask.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
